[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.OnShowHint

Event Handler when a hint needs to be shown

## Declaration

Source position: controls.pp line 1398

`public property TControl.OnShowHint: TControlShowHintEvent read FOnShowHint write FOnShowHint;`

## Description

// standard properties, which should be supported by all descendants
Reads or Writes a flag when a hint (a small pop-up box, appearing when the mouse hovers over an object) is to be shown

## See also

#lcl.Controls.THintInfo |  |
#lcl.Controls.TControlShowHintEvent |  |

The latest version of this document can be found at lazarus-ccr.sourceforge.net.